Subject: Re: [PATCH v9] credential-store: warn instead of fatal for bogus lines from store

From: Carlo Marcelo Arenas Belón <[email-masked]>
Date: Fri, 1 May 2020 06:57:57 -0700

On Thu, Apr 30, 2020 at 10:27:24PM -0700, Junio C Hamano wrote:
> Carlo Arenas <[email-masked]> writes:
> 
> > PS. should we really do the warn even in store/erase operations as a
> > followup or is the warning not useful as is, and probably then all
> > operations should be quiet (as Jonathan suggested originally?) and we
> > could do warn (and maybe fix) in a different change (maybe adding a
> > fsck command of sorts)?
> 
> Yeah, I think I like the "no warning, just ignore" much better.  The
> implementation I suspect would become a lot simpler, right?

sure, it will be basically the version that Jonathan suggested[1] on
top of yours and that I included in v4 but that was missing a SOB.

Jonathan,

would you want to submit it formally?, IMHO better if with base (from pu): 
272281efcc (credential-store: document the file format a bit more, 2020-04-27)

it might be still worth including some of the test cases, so I could do it
instead too; but let me know what would be your preference otherwise, as they
will need to be wrapped, probably better than on what became my confusing
attempt to save everyone's time with the v4 series[2], and that was made
obsolete by Junio's creation of jc/credential-store-file-format-doc.

Carlo

[1] https://lore.kernel.org/git/[email-masked]/
[2] https://lore.kernel.org/git/[email-masked]/

CC: trim to avoid spam, probably long overdue